Page MenuHomePhabricator

Add some sort of user identifier to CirrusSearchRequests log to collapse multiple prefix searches from the same user within a short time period for measuring zero results purposes
Closed, ResolvedPublic

Description

In addition to the executor id, it would be nice to be able to correlate together requests made by the same user within a few seconds of each other, for example prefix requests that are misspelled and get corrected by the user

Event Timeline

EBernhardson raised the priority of this task from to Needs Triage.
EBernhardson updated the task description. (Show Details)
EBernhardson added a project: CirrusSearch.
EBernhardson added a subscriber: EBernhardson.
Restricted Application added a project: Discovery. · View Herald TranscriptJul 22 2015, 5:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 226466 had a related patch set uploaded (by EBernhardson):
Include session_id in CirrusSearchRequest logs

https://gerrit.wikimedia.org/r/226466

Talked to Max, we won't be able to do this quite as described. Setting up a session id for anonymous users will inject a cookie that will cause them to go around the varnish cache for the life of that cookie.

We could generate a token per user, but i worry that it might be more PII than we want. The token could be:

$id = md5( $user->getName() . $wgSecretKey );

or some such, I'm not entirely sure. I would prefer if the logs did not distinctly identify users, better would be some token with a short(< cpl hours) but reliable lifespan, but I don't think that will be possible. Also note that by using the name (=ip address for anons) this wouldn't be as reliable as the session id which is per-browser session.

Needs more thought.

TJones added a subscriber: TJones.Jul 24 2015, 8:16 PM
EBernhardson renamed this task from Add the php session id to CirrusSearchRequests log to Add the user id to CirrusSearchRequests log to collapse multiple prefix searches from the same user for zero results purposes.Jul 30 2015, 4:54 PM
EBernhardson set Security to None.
EBernhardson renamed this task from Add the user id to CirrusSearchRequests log to collapse multiple prefix searches from the same user for zero results purposes to Add some sort of user identifier to CirrusSearchRequests log to collapse multiple prefix searches from the same user within a short time period for measuring zero results purposes.Jul 31 2015, 8:50 PM
Ironholds moved this task from Needs triage to Search on the Discovery board.Aug 4 2015, 8:18 AM

Change 226466 merged by jenkins-bot:
Include session_id in CirrusSearchRequest logs

https://gerrit.wikimedia.org/r/226466

ksmith moved this task from Search to On Sprint Board on the Discovery board.Aug 27 2015, 8:31 PM
Deskana closed this task as Resolved.Sep 12 2015, 2:43 AM
Deskana claimed this task.
Deskana reassigned this task from Deskana to EBernhardson.
Deskana triaged this task as Normal priority.
Deskana moved this task from Done to Resolved on the Discovery-Search (Current work) board.
Deskana added a subscriber: Deskana.